package capitulo04.bloque04;


import static capitulo04.utils.Utils.solicitarStringScanner;

public class Ejercicio03 {
    public static void main(String[] args) {
        if (esPalindromo(solicitarStringScanner("Introduzca una palabra para comprobar si es palíndroma"))) {
            System.out.println("Es un palíndromo");
        } else {
            System.out.println("No es un palíndromo");
        }
    }

    public static boolean esPalindromo(String textoAComprobar) {
        String minuscula = "";
        String palabraDelReves = "";

        for (int i = 0; i < textoAComprobar.length(); i++) {
            if (textoAComprobar.charAt(i) >= 65 && textoAComprobar.charAt(i) <= 90) {
                minuscula += (char) (textoAComprobar.charAt(i) + 32);
            } else {
                minuscula += textoAComprobar.charAt(i);
            }
        }

        for (int i = minuscula.length() - 1; i >= 0; i--) {
            palabraDelReves += minuscula.charAt(i);
        }
        System.out.println(palabraDelReves);
        return minuscula.equals(palabraDelReves);
    }
}
